package com.java.resttemplae.test;

import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;
import org.springframework.web.client.RestTemplate;

public class CruncAPIWithouPass {

    private final RestTemplate restTemplate;

    public CruncAPIWithouPass(RestTemplate restTemplate) {
        this.restTemplate = restTemplate;
    }
    
    public void getDataUsingRestTemplate() {
       
        restTemplate.getMessageConverters().add(new MappingJackson2HttpMessageConverter());
    	String url = "https://api.crunchbase.com/v/3/odm-organizations?user_key=38bfc645dcb86c44bb5fbec1984ba943";
    	
    	//option 1
    	Object forNow  = restTemplate.getForObject(url, Object.class);
    	System.out.println(forNow.toString());
    	
    	//option 2
    	ResponseEntity<Object> value = restTemplate.exchange(url, HttpMethod.GET,null, Object.class);
    	System.out.println(value.getBody().toString());
    }
    
}
