package com.java.resttemplae.test;

import java.net.InetSocketAddress;
import java.net.Proxy;
import java.net.Proxy.Type;

import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.http.client.SimpleClientHttpRequestFactory;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;
import org.springframework.web.client.RestTemplate;

public class CrunchAPIWithPass {

    private final RestTemplate restTemplate;

    public CrunchAPIWithPass(RestTemplate restTemplate) {
        this.restTemplate = restTemplate;
    }
    
    public void getDataUsingRestTemplate() {
    	
    	SimpleClientHttpRequestFactory requestFactory = new SimpleClientHttpRequestFactory();

        Proxy proxy= new Proxy(Type.HTTP, new InetSocketAddress("fdcproxy.verizon.com", 80));
        requestFactory.setProxy(proxy);
        
        restTemplate.setRequestFactory(requestFactory);
    	
        restTemplate.getMessageConverters().add(new MappingJackson2HttpMessageConverter());
    	String url = "https://api.crunchbase.com/v/3/odm-organizations?user_key=38bfc645dcb86c44bb5fbec1984ba943";
    	
    	//option 1
    	Object object  = restTemplate.getForObject(url, Object.class);
    	System.out.println(object.toString());
    	
    	//option 2
    	ResponseEntity<Object> value = restTemplate.exchange(url, HttpMethod.GET,null, Object.class);
    	System.out.println(value.getBody().toString());

    }

}
